IndiaMART
Learn how to start scraping IndiaMART.
With Web Scraper API, you can scrape various types of IndiaMART pages; below is an overview of all supported scrapers and their respective source values. The response returns the page HTML in content, in the standard response structure described in Realtime and Push-Pull.
indiamart_search
Search page for a search term of your choice, on export.indiamart.com.
indiamart_product
Product page of a product ID of your choice.
Any other IndiaMART page can be scraped by passing its url alone, no source needed.
Search
Request samples
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "indiamart_search",
"query": "iphone"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'indiamart_search',
'query': 'iphone'
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())Request parameter values
source
Sets the scraper.
indiamart_search
query
The keyword or phrase to search for products.
-
- mandatory parameter
Product
Request samples
Request parameter values
source
Sets the scraper.
indiamart_product
product_id
The numeric product ID at the end of the product page URL, e.g. indiamart.com/proddetail/axitec-germany-brand-solar-pv-panels-modules-18570296288.html.
-
- mandatory parameter
Last updated
Was this helpful?